//
//  View.m
//  Search
//
//  Created by nyuguest on 8/20/13.
//  Copyright (c) 2013 nyuguest. All rights reserved.
//

#import "View.h"
#import "ViewController.h"

@implementation View

/*
- (id) initWithFrame: (CGRect) frame
{
	self = [super initWithFrame: frame];
	if (self) {
		// Initialization code
	}
	return self;
}
*/

- (id) initWithFrame: (CGRect) frame viewController: (ViewController *__weak) c
{
	self = [super initWithFrame: frame];
	if (self) {
		// Initialization code
		self.backgroundColor = [UIColor whiteColor];

		searchBar = [[UISearchBar alloc] initWithFrame: CGRectZero];
		searchBar.barStyle = UIBarStyleDefault;
		searchBar.translucent = NO;
		searchBar.prompt = @"What do you want to search for?";
		searchBar.placeholder = @"Enter it here.";
		searchBar.keyboardType = UIKeyboardTypeDefault;

		searchBar.showsBookmarkButton = YES;
		searchBar.showsCancelButton = YES;
		searchBar.showsSearchResultsButton = NO;	//YES hides bookmark

		searchBar.showsScopeBar = YES;
		searchBar.scopeButtonTitles = [NSArray arrayWithObjects:
			@"Web",
			@"Images",
			@"Video",
			@"News",
			@"Maps",
			nil
		];
		searchBar.selectedScopeButtonIndex = 0;	//leftmost button is 0
		
		searchBar.delegate = c;
		[self addSubview: searchBar];
	}
	return self;
}

- (void) layoutSubviews {
	//Make search bar wider when orientation changes to landscape.
	[searchBar sizeToFit];
}

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void) drawRect: (CGRect) rect
{
	// Drawing code
}
*/

@end
