//
//  ViewController.m
//  Search
//
//  Created by nyuguest on 8/20/13.
//  Copyright (c) 2013 nyuguest. All rights reserved.
//

#import "ViewController.h"
#import "View.h"

@interface ViewController ()
@end

@implementation ViewController

- (id) initWithNibName: (NSString *) nibNameOrNil bundle: (NSBundle *) nibBundleOrNil
{
	self = [super initWithNibName: nibNameOrNil bundle: nibBundleOrNil];
	if (self) {
		// Custom initialization
		tbm = [NSArray arrayWithObjects:
			@"",		//web
			@"isch",	//image search
			@"vid",		//video
			@"nws",		//news
			nil
		];
	}
	return self;
}

- (void) loadView
{
	CGRect frame = [UIScreen mainScreen].applicationFrame;
	self.view = [[View alloc] initWithFrame: frame viewController: self];
}

- (void) viewDidLoad
{
	[super viewDidLoad];
	// Do any additional setup after loading the view.
}

#pragma mark -
#pragma mark Protocol UISearchBarDelegate

- (void) searchBarSearchButtonClicked: (UISearchBar *) searchBar
{
	[searchBar resignFirstResponder];	//dismisss keyboard

	NSString *string = nil;

	if (searchBar.selectedScopeButtonIndex == 4) {	//maps
		string = [NSString stringWithFormat: @"http://maps.google.com/maps?q=%@",
			searchBar.text];
	} else {
		string = [NSString stringWithFormat: @"http://www.google.com/search?tbm=%@&q=%@",
			[tbm objectAtIndex: searchBar.selectedScopeButtonIndex], searchBar.text];
	}

	string = [string stringByAddingPercentEscapesUsingEncoding: NSUTF8StringEncoding];
	NSURL *url = [NSURL URLWithString: string];
	UIApplication *application = [UIApplication sharedApplication];

	if (![application canOpenURL: url]) {
		NSLog(@"can't open URL %@.", url);
		return;
	}

	if (![application openURL: url]) {
		NSLog(@"did not open open URL %@", url);
	}
}

- (void) searchBar: (UISearchBar *) searchBar
selectedScopeButtonIndexDidChange: (NSInteger) selectedScope
{
	NSLog(@"selectedScopeButtonIndexDidChange: %d %@",
		selectedScope, [searchBar.scopeButtonTitles objectAtIndex: selectedScope]);
}

- (void) searchBarBookmarkButtonClicked: (UISearchBar *) searchBar
{
	NSLog(@"searchBarBookmarkButtonClicked:");
}

- (void) searchBarCancelButtonClicked: (UISearchBar *) searchBar
{
	NSLog(@"searchBarCancelButtonClicked:");
}

- (void) searchBarResultsListButtonClicked: (UISearchBar *) searchBar
{
	NSLog(@"searchBarResultsButtonClicked:");
}

- (void) didReceiveMemoryWarning
{
	[super didReceiveMemoryWarning];
	// Dispose of any resources that can be recreated.
}

@end
